<?php
/**
* @package XenCentral Ad Server
* @author Skydevelop EU
* @copyright Drnoyan & Nalyan LDA, Portugal, EU
* @license http://www.dnf.pt/eula.html
* @link http://www.skydevelop.com
* @revision 97
* @version 2.0.0 beta 3 rev. 3
*/

class XenCentral_AdServer_Helper_StatsInTime extends XenCentral_AdServer_Helper_StatsInPercentage
{
    public function getQuery()
    {
        return "
            SELECT * FROM xcas_{$this->stats_type}_{$this->content_type}
            WHERE dateline>={$this->from}
			AND dateline<={$this->to}
			AND {$this->content_type}Id IN(" . implode(',', $this->content_ids) . ")
        ";
    }

    public function getPrimaryKey()
    {
        return false;
    }
}